Bug 828500 - Icons and Decorations go black
Icons and Decorations go black
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-04 15:49 EDT by Fred Weigel
Modified: 2013-07-31 13:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 13:44:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Upper Right maximized button is black (43.95 KB, image/png)
2012-06-04 15:49 EDT, Fred Weigel
no flags Details
An example of multiple icons being replaced with black (493.58 KB, image/png)
2012-06-06 15:05 EDT, Fred Weigel
no flags Details
Illustration when title bar goes black (555.24 KB, image/png)
2012-06-08 16:14 EDT, Fred Weigel
no flags Details

  None (edit)
Description Fred Weigel 2012-06-04 15:49:21 EDT
Created attachment 589267 [details]
Upper Right maximized button is black

Description of problem:

On my Acer D257 (GMA 3150 graphics), with Fedora 17, XFCE4, using compositing:

When the system is left to run for "long enough" (for 1 to 6 hours), icons can be set to black, or window title bars will be set to black. This affects SPECIFIC icons (eg. the maximum button). Once black, it is black in all windows, until the machine is reset.

Tested on two separate machines.


Version-Release number of selected component (if applicable):

Linux dejah 3.3.7-1.fc17.x86_64 #1 SMP Mon May 21 22:32:19 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

with all patches applied (as of June 4, 2012)

How reproducible:

Always

Steps to Reproduce:
1. Boot into XFCE4
2. open some windows
3. wait
  
Actual results:

Icons or windows title bars are black

Expected results:

Expect to see icons, or proper title bar

Additional info:

Using xorg intel driver, no error log indications. May well be a defect in XFCE. See screen shot for what it (possibly) looks like. After 5 hour uptime, the MAXIMIZED icon button was set to black.
Comment 1 Fred Weigel 2012-06-05 14:31:42 EDT
Happened again, but this time it was the roll-up icon, depressed state only (so kind of hard to capture). Replaced by black.

After 6 hours uptime.
Comment 2 Fred Weigel 2012-06-06 15:05:28 EDT
Created attachment 589986 [details]
An example of multiple icons being replaced with black

[fred@dejah ~]$ uptime
 14:57:07 up  6:45,  7 users,  load average: 1.10, 1.22, 1.22
[fred@dejah ~]$ 

Look at the upper right; there is an instance of SMPlayer, in pinned and rolled up mode. Note the active pin and active roll-up icons are both black.

So, after 6 hours, 45 minutes uptime, the pin icon was replaced by black, ALL window decoration icons are black when depressed, and the roll-up icon is black (pin and roll-up in activated state. In "normal" state, all icons are still properly visible.

This happened sometime in the past two hours (checked two hours ago, was ok).

Application programs run:

smplayer
firefox
5 terminals
thunar

and that's it!

This has been reported to me on Fedora 16 as well.
Comment 3 Fred Weigel 2012-06-08 16:14:55 EDT
Created attachment 590512 [details]
Illustration when title bar goes black

Here's what it looks like when the title bars go black. You can't see it, but the icon depressed state of all the window control icons is also black, the pin icon on the left is black when activated, the roll-up icon is black when activated.

However the close (x) icon is completely normal.

From

[fred@dejah ~]$ uptime
 16:12:23 up  1:45,  2 users,  load average: 1.71, 2.12, 2.74
[fred@dejah ~]$ 

we see the uptime is only 1 hour, 45 minutes.

A third report of this has come in - now it's 2 Fedora 16, and 1 Fedora 17 (all three machines are Acer D257 Netbooks, with in-built Intel 915 graphics).
Comment 4 Fred Weigel 2012-06-22 14:30:36 EDT
Another round of updates -- and this still happens.

Started poking at this a bit. The Atom 570 used in the Acer D257 is identified as a "Pineview GM" chipset. By default RelaxedFencing is enabled for this device.

I have disabled RelaxedFencing by adding a file

/etc/X11/xorg.conf.d/00-display-debug.conf

Section "Device"
       Identifier "intel"
       Driver "intel"
       Option "RelaxedFencing" "off"
EndSection
# Bug 828500
# Try removing RelaxedFencing in an effort to get rid of black icons

I will run with this option for a few days, and report the results.
Comment 5 Fred Weigel 2012-06-22 19:15:51 EDT
No go. With RelaxedFencing off, it happened again. This time, I get an additional line in the Xorg.0.log file:

[  6977.400] (II) XKB: Reusing cached keymap
[ 12815.742] [mi] Increasing EQ size to 512 to prevent dropped events.
[root@dejah log]# 

Interesting, that, but probably not meaningful.

Removing driver option shown above.
Comment 6 Fred Weigel 2012-06-23 19:57:47 EDT
This netbook loads the "acer_wmi" driver

acer_wmi               32324  0 
sparse_keymap          13526  1 acer_wmi
rfkill                 21384  4 cfg80211,acer_wmi
wmi                    18697  1 acer_wmi
video                  18935  2 i915,acer_wmi

which may have something to do with this (yes, it shouldn't). Attempting a blacklist of this driver, and test.
Comment 7 Fred Weigel 2012-06-27 13:35:46 EDT
Blacklisting the acer_wmi driver did not cure the problem. However, lid button, and led reporting is improved, so I would recommend that the acer_wmi driver be blacklisted for the Acer D257 netbook (also, the Acer AOA110 and AOA150 models).
Comment 8 Fedora End Of Life 2013-07-03 15:21:56 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2013-07-31 13:44:34 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.